Use this API to return a list of roles.
This endpoint supports pagination and sorting.
Resource URL
https://<subdomain>.onelogin.com/api/2/rolesHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Query Parameters
Max page limit is 650. See Pagination for detail on how this works.
Many of the search tools described in our Getting Started documentation can be applied to your parameters, allowing you to fine-tune your results.
name string | Optional. Filters by role name. |
app_id integer | Optional. Returns roles that contain this app ID. |
app_name string | Optional. Returns roles that contain this app name. |
fields string | Optional. Comma delimited list of fields to return. Valid options are |
Sample Responses
- 200 OK
- 401 Unauthorized
[
{
"id": 123,
"name": "Sample Role",
"apps": [ 123, 456,...]
}
...
]Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}Postman Collection
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
List Mappings
curl 'https://<subdomain>.onelogin.com/api/2/roles' \
-X GET \
-H "Authorization: bearer <access_token>"Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.